Установка и запуск PortWINE

Установка и запуск PortWINE

 

PortWINE от «А» до «Я»  —   Часть 1

Установка и запуск PortWINE

 

Введение

В данной статье я подробно опишу как устанавливать и запускать порты основанные на wine в разных версиях Linux.

 

Установка PortWINE

Установка самого порта дело не хитрое, для этого достаточно скачать нужный вам порт (скрипт установки) из раздела PortWINE

После чего открываем терминал и переходим в директорию куда был загружен скрипт:

cd ~/Загрузки/

Дальше сделаем скрипт исполняемым:

chmod +x НАЗВАНИЕ_СКРИПТА

Ну и теперь запускаем сам скрипт командой:

sh ./НАЗВАНИЕ_СКРИПТА

Если скрипт не запустился, то значит у вас нет пакета zenity — который отвечает за диалоговые окна установщика!

Дальше просто выбираем путь установки и отвечаем на вопросы: какая у вас видеокарта и сколько памяти у нее.

ВСЕ! Сам порт установлен и готов к использованию, но возможно вам потребуется установить необходимые зависимости для нормальной работы PortWINE…

Отправить ответ

Войти с помощью: 
avatar
5000
В начале выводить комментарии:   новые | старые | лучшие
Арчибальд Джексон
Участник

«sh: 0: Can’t open PortWot-97» притом, что Zenity стоит

validol
Участник

как установить на manjaro?

gavr
VIP
manjaro это арч, поэтому сначала ставишь зависимости отсюда http://portwine-linux.ru/%D0%B7%D0%B0%D0%B2%D0%B8%D1%81%D0%B8%D0%BC%D0%BE%D1%81%D1%82%D0%B8-portwine/ ставишь вайн, и если вместо установки… Читать дальше »
Дмитрий
Гость
UbuntuStudio 16.04.2 LTS Открывается окно авторизации, но привводе логина пароля всегда одно и тоже, не… Читать дальше »
gavr
VIP

при «вставлении» пароля раскладка точно на английском?, желательно запускать клиент когда раскладка на en

курбан джиржис
Участник
Паша Тарасенко
Участник

Система elementary os основана на ubuntu 16.04.
После запуска лаундчера вот такое окно[urlcomment image[/img][/url]

Александр Волошин
Участник

Как обновить PortWot если игра уже установлена ?

Ded_OtMoroz
Участник

просто ставь новую версию. игра никуда не денется.

Boo
Гость
> GET /nginx_stats?installation_id=2CD64B5119E0AE13E52C77EBE52C77EB4423CE1C&event=part_update_started&chain_id=f11&part_id=launcher HTTP/1.1 User-Agent: wg::http::curl_http_request 1.1 Host: update.worldofwarships.ru Accept: */* < HTTP/1.1 404 Not… Читать дальше »
Boo
Гость

диалог выхода(при подтверждении) из второго боя приводит к закрытию клиента

Boo
Гость
новый порт не помог , та же ошибка после второго боя переход в ангар клиент… Читать дальше »
Obzor
Гость
Мишан(извиняюсь,если что) Вопрос что нужно, если в batlenet при входе нету кнопок авторизации. Port не… Читать дальше »
Алекс
Гость

таже проблема

cashka
Участник
вчера играл а сегодня не пашет вот лог Версия порта: 59 ——————————————— Дата и время… Читать дальше »
cashka
Участник

как запустить через порт с оптимусом bumblebee/не получается

Славный Малый
Участник

Arch X64
ошибка: не найдена цель: lib32-ncurses5-compat-libs
ошибка: не найдена цель: lib32-libpng12

DetyaJa
Участник

lib32-ncurses5-compat-libs и lib32-libpng12 с аура ставить надо.
Но они конфликтуют с gcc и gcc-libs

Paul
Участник

Wine HQ обновился до 1.9.15

Lexans
Участник
http://rgho.st/6vjpPVMPQ мой лог WOWS с момента «зависания». Для закрытия клиента воспользовался командой killall. Не отвечало… Читать дальше »
Lexans
Участник
1) Как узнать, что зависимости работают? Что бы было, если бы не хватало зависимостей? 2)… Читать дальше »
Pavel Picasso
Гость
Установил последнюю версию. Система Calculate Linux 15.17 Xfce 4 (gentoo based) запустилось только после копирования… Читать дальше »
Paul
Участник

Добавьте Википедию по Вайн.
https://wiki.winehq.org/Ubuntu

tuxnotes
Гость

В Arch есть проблема с libncursesw.so.5 , для решения нужно установить lib32-ncurses5-compat-libs.

lesnik757
Участник
Запустил порт на Calculate linux x64,KDE5 (Gentoo based), не хватало библиотек при запуске,скопировал их из… Читать дальше »
Александр Золотаревский
Участник
Установка зависимостей для debian x32 wheezy не работает. После добавление репозитария ppa:wine/wine-builds команда apt-get update… Читать дальше »
Астап Безфамильный
Участник
Привет. Установив зависимости попробовал поставить ARMORED WARFARE клиент запустился разрешил зарегистрироваться и начал качать игру.… Читать дальше »
Red_Noise
Участник
apt-get install libfontconfig1:i386 libnss-mdns libgnutls26:i386 libxslt1.1:i386 libxcursor1:i386 libxcomposite1:i386 libtiff5:i386 libosmesa6:i386 libopenal1:i386 libmpg123-0:i386 libldap-2.4-2:i386 liblcms2-2:i386 libgstreamer0.10-0:i386… Читать дальше »
Red_Noise
Участник

Не пойму ток на кой нужны libcups и уж тем более libldap?

Сергей
Гость
sh ./PortWoT-0914-42 This option is not available. Please see —help for all possible usages. This… Читать дальше »
Ded_OtMoroz
Участник
Для Ubuntu 16.04 инструкция из ubuntu/mint 64 не катит. sudo apt-get install libfontconfig1:i386 libnss-mdns libgnutls26:i386… Читать дальше »
Евгений Козлов
Участник
xubuntu 16.04 при установке wine Пакет libgnutls26:i386 недоступен, но упомянут в списке зависимостей другого пакета.… Читать дальше »
Злыдень Шаманидзе
Участник

А еще в команде apt-get install для Debain x64 ты зачем-то 5 раз повторил ia32-libs

Злыдень Шаманидзе
Участник
Команду add-apt-repository Debian изначально не понимает, это убунтовская фишка, как и репы PPA, как я… Читать дальше »
wpDiscuz